Bug 1339619 - [RFE] Quick Installer, should have a Generate Option
Summary: [RFE] Quick Installer, should have a Generate Option
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: RFE
Version: 3.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: ---
Assignee: Devan Goodwin
QA Contact: Johnny Liu
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-05-25 13:06 UTC by Eric Rich
Modified: 2017-03-08 18:26 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-27 09:33:18 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:1933 normal SHIPPED_LIVE Red Hat OpenShift Container Platform 3.3 Release Advisory 2016-09-27 13:24:36 UTC

Description Eric Rich 2016-05-25 13:06:03 UTC
Description of problem:

The OpenShift Quick Installer, should not only have a install, uninstall, and update option, but it should also have a generate option (where it completes) all the wrapper steps, but only generates a hosts file that can be used/modified for use with the advanced install instructions of the documentation.

Comment 1 Devan Goodwin 2016-07-12 18:15:16 UTC
This was actually implemented a little while ago, and is now shipping with 3.2.

atomic-openshift-installer install --gen-inventory.

Wrote atomic-openshift-installer config: /home/dgoodwin/.config/openshift/installer.cfg.yml
Wrote ansible inventory: /home/dgoodwin/.config/openshift/hosts

Comment 2 Anping Li 2016-07-13 01:40:39 UTC
Some issue found during testing
1) There are no help info

2) The option --gen-inventory must be place behind command. it is different with other options (such as -c, -u and etc)

3) if the configuration is current directory(-c test.yaml), The inventory file will be /hosts. it should be hosts

#The output is as following
<---snip--->
Wrote atomic-openshift-installer config: test.yaml
Wrote ansible inventory: /hosts

Comment 3 Anping Li 2016-08-01 03:07:00 UTC
To Following REF bug proccess, QA can't move status to this bug. So I will open a new bug for the comment 2.

Comment 5 errata-xmlrpc 2016-09-27 09:33:18 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2016:1933


Note You need to log in before you can comment on or make changes to this bug.